
jQuery(document).ready(function(){
	
	jQuery('#TB_window').live("tb_unload", function(){
        jQuery('.webnus-iconfonts-wrapper').remove();
    });
	
	
	jQuery('.webnus_megamenu_admin_icon_text').each(function(){
	
	var icon = jQuery(this).closest('p').find('.webnus-menu-icon',this);
	icon.addClass(jQuery(this).val());
	
	});
	
	
	var text_box;
	var icon1;
	
	jQuery("button.webnus_megamenu_admin_icon").live('click',function(event){
		
		
		text_box = jQuery(this).closest('p').find('.webnus_megamenu_admin_icon_text',this);	
		//jQuery('<div calss="webnus-iconfonts-wrapper" style="width:100%; height:100%;position:fixed; top:0px;left:0px;z-index:10000;"/>').appendTo('body');
		icon1 = jQuery(this).closest('p').find('.webnus-menu-icon',this);
		var form = jQuery(jQuery.base64.decode('[encoded data, 109048 characters]'));
		
		
		form.appendTo('body').hide();
		
		tb_show('Retina Icon | Webnus theme shortcode manager', '#TB_inline?width=700&height=550&inlineId=retinaicon-form');

		jQuery('#TB_window').css('height', 600);
		jQuery('#TB_window').css('width', 700);
		
		

	});

	jQuery("button.webnus_megamenu_admin_icon_remove").live('click',function(event){
			
			
			text_box = jQuery(this).closest('p').find('.webnus_megamenu_admin_icon_text',this);	
			
			icon1 = jQuery(this).closest('p').find('.webnus-menu-icon',this);
	
			text_box.val('');
			jQuery(icon1).removeClass();
            jQuery(icon1).addClass('webnus-menu-icon');
			
	
		});
	
		jQuery('button#webnus-icons-getcode').live('click',function() {

            
			var icomoon_class =jQuery('input[name="iconfonts_name"]:checked').val();
			
			text_box.val(icomoon_class);
			jQuery(icon1).removeClass();
            jQuery(icon1).addClass('webnus-menu-icon');
            jQuery(icon1).addClass(icomoon_class);
            tb_remove();
        });
});
